

# BatchSnoozeAlarm


**Important**  
End of support notice: On May 20,2026, AWS will end support for AWS IoT Events. After May 20,2026, you will no longer be able to access the AWS IoT Events console or AWS IoT Events resources. For more information, see [AWS IoT Events end of support](https://docs.aws.amazon.com/iotevents/latest/developerguide/iotevents-end-of-support.html). 

Changes one or more alarms to the snooze mode. The alarms change to the `SNOOZE_DISABLED` state after you set them to the snooze mode.

## Request Syntax


```
POST /alarms/snooze HTTP/1.1
Content-type: application/json

{
   "snoozeActionRequests": [ 
      { 
         "alarmModelName": "string",
         "keyValue": "string",
         "note": "string",
         "requestId": "string",
         "snoozeDuration": number
      }
   ]
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [snoozeActionRequests](#API_iotevents-data_BatchSnoozeAlarm_RequestSyntax) **   <a name="iotevents-iotevents-data_BatchSnoozeAlarm-request-snoozeActionRequests"></a>
The list of snooze action requests. You can specify up to 10 requests per operation.  
Type: Array of [SnoozeAlarmActionRequest](API_iotevents-data_SnoozeAlarmActionRequest.md) objects  
Array Members: Minimum number of 1 item.  
Required: Yes

## Response Syntax


```
HTTP/1.1 202
Content-type: application/json

{
   "errorEntries": [ 
      { 
         "errorCode": "string",
         "errorMessage": "string",
         "requestId": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

 ** [errorEntries](#API_iotevents-data_BatchSnoozeAlarm_ResponseSyntax) **   <a name="iotevents-iotevents-data_BatchSnoozeAlarm-response-errorEntries"></a>
A list of errors associated with the request, or `null` if there are no errors. Each error entry contains an entry ID that helps you identify the entry that failed.  
Type: Array of [BatchAlarmActionErrorEntry](API_iotevents-data_BatchAlarmActionErrorEntry.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
An internal failure occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request was invalid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ServiceUnavailableException **   
The service is currently unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The request could not be completed due to throttling.    
 ** message **   
The message for the exception.
HTTP Status Code: 429

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iotevents-data-2018-10-23/BatchSnoozeAlarm) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iotevents-data-2018-10-23/BatchSnoozeAlarm) 